package com.inspur.service;

import com.inspur.domain.ElevatorInfo;

import java.util.List;

/**
 * 电梯信息Service接口
 *
 * @author inspur
 * @date 2024-10-12
 */
public interface IElevatorInfoService
{
    /**
     * 查询电梯信息
     *
     * @param id 电梯信息主键
     * @return 电梯信息
     */
    public ElevatorInfo selectElevatorInfoById(Long id);

    /**
     * 查询电梯信息列表
     *
     * @param elevatorInfo 电梯信息
     * @return 电梯信息集合
     */
    public List<ElevatorInfo> selectElevatorInfoList(ElevatorInfo elevatorInfo);

    /**
     * 新增电梯信息
     *
     * @param elevatorInfo 电梯信息
     * @return 结果
     */
    public int insertElevatorInfo(ElevatorInfo elevatorInfo);

    /**
     * 修改电梯信息
     *
     * @param elevatorInfo 电梯信息
     * @return 结果
     */
    public int updateElevatorInfo(ElevatorInfo elevatorInfo);

    /**
     * 批量删除电梯信息
     *
     * @param ids 需要删除的电梯信息主键集合
     * @return 结果
     */
    public int deleteElevatorInfoByIds(Long[] ids);

    /**
     * 删除电梯信息信息
     *
     * @param id 电梯信息主键
     * @return 结果
     */
    public int deleteElevatorInfoById(Long id);
}
